Devices
Get Device Calibrations
Retrieve the latest calibration snapshot for a device: qubit-level (T1, T2, frequency, readout/gate errors) and edge-level (two-qubit gate errors, gate lengths).
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
device_qrnstringrequiredThe device qrn (qBraid Resource Name).
Response
200Success.
successbooleanrequireddataobjectrequired400Invalid or missing QRN.
404Calibration data not found for this device.
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/devices/{device_qrn}/calibrations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/devices/{device_qrn}/calibrations"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/devices/{device_qrn}/calibrations";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"_id": "<string>",
"deviceQRNs": [
"<string>"
],
"provider": "<string>",
"lastCalibrated": "2024-01-01T00:00:00Z",
"fetchedAt": "2024-01-01T00:00:00Z",
"qubits": {},
"edges": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
}{
"success": false,
"message": "<string>",
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"success": false,
"message": "<string>",
"error": {
"message": "<string>",
"code": "<string>"
}
}GET
Get device calibration data
Get device calibration data
Response
Fill in the request and press Send to see the live response.Was this page helpful?
Thanks for your feedback.

